| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions | Variables
uart_17xx_40xx.c File Reference
`#include "chip.h"`

Go to the source code of this file.

## Functions
static IP_UART_ID_T | Chip_UART_Get_UARTNum (LPC_USART_T *pUART)
static CHIP_SYSCTL_CLOCK_T | Chip_UART_DetermineClk (LPC_USART_T *pUART)
static uint32_t | Chip_UART_GetClockRate (LPC_USART_T *pUART)
void | Chip_UART_Init (LPC_USART_T *pUART)
| Initializes the pUART peripheral.
void | Chip_UART_DeInit (LPC_USART_T *pUART)
| De-initializes the pUART peripheral.
Status | Chip_UART_SetBaud (LPC_USART_T *pUART, uint32_t baudrate)
| Sets best dividers to get a target bit rate (without fractional divider)
void | Chip_UART_TxCmd (LPC_USART_T *pUART, FunctionalState NewState)
| Enable/Disable transmission on UART TxD pin.
IP_UART_INT_STATUS_T | Chip_UART_GetIntStatus (LPC_USART_T *pUART)
| Get Interrupt Stream Status.
void | Chip_UART_Interrupt_Handler (LPC_USART_T *pUART)
| Uart interrupt service routine (chip layer)
uint32_t | Chip_UART_Interrupt_Transmit (LPC_USART_T *pUART, uint8_t *txbuf, uint8_t buflen)
| UART transmit function for interrupt mode (using ring buffers)
uint32_t | Chip_UART_Interrupt_Receive (LPC_USART_T *pUART, uint8_t *rxbuf, uint8_t buflen)
| UART read function for interrupt mode (using ring buffers)
void | Chip_UART_InitRingBuffer (LPC_USART_T *pUART)
| Reset Tx and Rx ring buffer (head and tail)
FlagStatus | Chip_UART_GetABEOStatus (LPC_USART_T *pUART)

## Variables
static UART_RingBuffer_T | rb
static __IO FlagStatus | TxIntStat
FlagStatus | ABsyncSts = RESET

## Function Documentation

static CHIP_SYSCTL_CLOCK_T Chip_UART_DetermineClk | ( | LPC_USART_T * | pUART | ) |
| static

Definition at line 74 of file uart_17xx_40xx.c.

static IP_UART_ID_T Chip_UART_Get_UARTNum | ( | LPC_USART_T * | pUART | ) |
| static

Definition at line 55 of file uart_17xx_40xx.c.

static uint32_t Chip_UART_GetClockRate | ( | LPC_USART_T * | pUART | ) |
| static

Definition at line 98 of file uart_17xx_40xx.c.

## Variable Documentation

FlagStatus ABsyncSts = RESET

Definition at line 44 of file uart_17xx_40xx.c.

UART_RingBuffer_T rb
| static

UART Ring buffer declaration

Definition at line 39 of file uart_17xx_40xx.c.

__IO FlagStatus TxIntStat
| static

Current Tx Interrupt enable state

Definition at line 42 of file uart_17xx_40xx.c.